 <?php


//error_reporting(E_ERROR  | E_PARSE);

session_start();
/*
$_SESSION['database'] = $_GET["database"];

$_SESSION['suc_id'] = $_GET["suc_id"];

$_SESSION['est_id'] = $_GET["est_id"];

$_SESSION['id_pack'] =$_GET["id_pack"];

*/

$_SESSION['database'] = $_POST["database"];

$_SESSION['suc_id'] = $_POST["suc_id"];

$_SESSION['est_id'] = $_POST["est_id"];

$_SESSION['id_pack'] =$_POST["id_pack"];




include 'conn.php';


include 'funciones.php';

//logs("xxxxxxxxxxxxxxxxxx");



$hoynow = getdate();

//echo print_r($hoynow);

//echo date_default_timezone_get();

$hora=str_pad($hoynow["hours"], 2, "0", STR_PAD_LEFT);

$minutos=str_pad($hoynow["minutes"], 2, "0", STR_PAD_LEFT);

$mes=str_pad($hoynow["mon"], 2, "0", STR_PAD_LEFT);

$dia=str_pad($hoynow["mday"], 2, "0", STR_PAD_LEFT);



 $timeStamp= $hoynow["year"]."-".$mes."-".$dia." ".$hora .":".$minutos.":".$hoynow["seconds"] ;
if ($_SESSION['est_id']=="0"){
 $SQLupdate="update ".$_SESSION['database'].".sucursales set suc_ult_con='".$timeStamp."',suc_pack_pers=".$_SESSION['id_pack']."  where  suc_id='".$_SESSION['suc_id']."' limit 1 ";
}else {
$SQLupdate="update ".$_SESSION['database'].".estaciones set e_ult_con='".$timeStamp."',e_pack_pers=".$_SESSION['id_pack']."  where suc_id='".$_SESSION['suc_id']."'  and e_id='".$_SESSION['est_id']."' limit 1 ";
}


if ($connection->query($SQLupdate) === TRUE) {
     //  echo "update op";
} else {
    echo "Error: " . $SQLupdate . "<br>" . $conn->error;
}




 $montoesql1="select '".$_SESSION['id_pack']."' as id_pack, 
				personal.pers_id 	, 
				personal.pers_codigo 	, 
				personal.pers_descripcion 	, 
				'0' as pers_hash 	, 
				personal.pers_contacto 	, 
				personal.pers_direccion 	, 
				personal.pers_telefono 	, 
				personal.pers_fax 	, 
				personal.pers_correo 	, 
				personal.pers_cedula 	, 
				personal.pers_salario 	, 
				personal.pers_nacimiento 	, 
				personal.pers_activo 	, 
				personal.pers_fecha_ingreso 	, 
				personal.pers_fecha_fin 	, 
				personal.pers_fecha_permiso_lab 	, 
				personal.pers_creacion 	, 
				personal.pers_modificacion 	, 
				personal.pers_u_id_crea 	, 
				personal.pers_u_id_mod 	, 
				personal.pers_imagen 	, 
				personal.pers_departamento 	, 
				personal.pers_cargo 	, 
				personal.pers_vendedor 	, 
				personal.pers_cobrador 	, 
				personal.pers_comision_v 	, 
				personal.pers_comision_c 	, 
				personal.pers_hora_entrada 	, 
				personal.pers_hora_entrada_alm 	, 
				personal.pers_hora_salida_alm 	, 
				personal.pers_hora_salida 	, 
				personal.suc_Id 	, 
				personal.pers_fing 	, 
				personal.Pers_Tipo 	, 
				personal.id_autoinc 	, 
				personal.pers_abrev 	, 
				personal.pers_user_lnk 	, 
				personal.pers_user_id 	, 
				personal.pers_jefe1 	, 
				personal.pers_jefe2	, 
				personal.usermodify 	, 
				personal.UserOption 	, 
				personal.SyncProcesing 	, 
				usuarios.u_id 	, 
				usuarios.u_descripcion 	, 
				usuarios.u_usuario 	, 
				usuarios.u_clave 	, 
				usuarios.u_acceso1 	, 
				usuarios.u_activo 	, 
				usuarios.u_modreportes 	, 
				usuarios.u_costos 	, 
				usuarios.u_empresas 	 , 
				usuarios.u_cambiofecha 	, 
				usuarios.u_cambiaempresa 	, 
				usuarios.u_anulaoperacion 	, 
				usuarios.u_ruta_reportes 	, 
				usuarios.activo 	, 
				usuarios.u_auditoria	, 

				usuarios.u_conf 	, 
				usuarios.u_vmen 	, 
				usuarios.u_codsup 	, 
				usuarios.u_fing 	, 



				usuarios_acc.up_activa	, 
				usuarios_acc.up_id	, 
				usuarios_acc.um_id	, 
				usuarios_acc.um_ventana	, 
				concat(usuarios_acc.u_id,'-0',usuarios_acc.up_id,'0') as acc_unico, 
				usuarios.desc_max 	 


from 
				
				".$_SESSION['database'].".personal   
				
		left outer join 	".$_SESSION['database'].".usuarios on usuarios.u_id=personal.pers_user_id 

                 left outer join ".$_SESSION['database'].".usuarios_acc on usuarios.u_id=usuarios_acc.u_id 

           
                where  personal.pers_id in (select pers_id from ".$_SESSION['database']."_tmp_pack.personal_pack where id_pack='".$_SESSION['id_pack']."' group by id_pack)";
                
                

			
//echo "sql ".$montoesql1;

  $qur1 = $connection->query($montoesql1);
  
  $i=0;
  
 //  $jsonData[] ='';

while($r1 = mysqli_fetch_assoc($qur1)){



 $jsonTempData = array();
       $jsonTempData['id_pack']= utf8_encode($r1['id_pack']);
$jsonTempData['pers_id']= utf8_encode($r1['pers_id']);
$jsonTempData['pers_codigo']= utf8_encode($r1['pers_codigo']);
$jsonTempData['pers_descripcion']= utf8_encode($r1['pers_descripcion']);
$jsonTempData['pers_hash']= utf8_encode($r1['pers_hash']);
$jsonTempData['pers_contacto']= utf8_encode($r1['pers_contacto']);
$jsonTempData['pers_direccion']= utf8_encode($r1['pers_direccion']);
$jsonTempData['pers_telefono']= utf8_encode($r1['pers_telefono']);
$jsonTempData['pers_fax']= utf8_encode($r1['pers_fax']);
$jsonTempData['pers_correo']= utf8_encode($r1['pers_correo']);
$jsonTempData['pers_cedula']= utf8_encode($r1['pers_cedula']);
$jsonTempData['pers_salario']= utf8_encode($r1['pers_salario']);
$jsonTempData['pers_nacimiento']= utf8_encode($r1['pers_nacimiento']);
$jsonTempData['pers_activo']= utf8_encode($r1['pers_activo']);
$jsonTempData['pers_fecha_ingreso']= utf8_encode($r1['pers_fecha_ingreso']);
$jsonTempData['pers_fecha_fin']= utf8_encode($r1['pers_fecha_fin']);
$jsonTempData['pers_fecha_permiso_lab']= utf8_encode($r1['pers_fecha_permiso_lab']);
$jsonTempData['pers_creacion']= utf8_encode($r1['pers_creacion']);
$jsonTempData['pers_modificacion']= utf8_encode($r1['pers_modificacion']);
$jsonTempData['pers_u_id_crea']= utf8_encode($r1['pers_u_id_crea']);
$jsonTempData['pers_u_id_mod']= utf8_encode($r1['pers_u_id_mod']);
$jsonTempData['pers_imagen']= utf8_encode($r1['pers_imagen']);
$jsonTempData['pers_departamento']= utf8_encode($r1['pers_departamento']);
$jsonTempData['pers_cargo']= utf8_encode($r1['pers_cargo']);
$jsonTempData['pers_vendedor']= utf8_encode($r1['pers_vendedor']);
$jsonTempData['pers_cobrador']= utf8_encode($r1['pers_cobrador']);
$jsonTempData['pers_comision_v']= utf8_encode($r1['pers_comision_v']);
$jsonTempData['pers_comision_c']= utf8_encode($r1['pers_comision_c']);
$jsonTempData['pers_hora_entrada']= utf8_encode($r1['pers_hora_entrada']);
$jsonTempData['pers_hora_entrada_alm']= utf8_encode($r1['pers_hora_entrada_alm']);
$jsonTempData['pers_hora_salida_alm']= utf8_encode($r1['pers_hora_salida_alm']);
$jsonTempData['pers_hora_salida']= utf8_encode($r1['pers_hora_salida']);
$jsonTempData['suc_Id']= utf8_encode($r1['suc_Id']);
$jsonTempData['pers_fing']= utf8_encode($r1['pers_fing']);
$jsonTempData['Pers_Tipo']= utf8_encode($r1['Pers_Tipo']);
$jsonTempData['id_autoinc']= utf8_encode($r1['id_autoinc']);
$jsonTempData['pers_abrev']= utf8_encode($r1['pers_abrev']);
$jsonTempData['pers_user_lnk']= utf8_encode($r1['pers_user_lnk']);
$jsonTempData['pers_user_id']= utf8_encode($r1['pers_user_id']);
$jsonTempData['pers_jefe1']= utf8_encode($r1['pers_jefe1']);
$jsonTempData['pers_jefe2']= utf8_encode($r1['pers_jefe2']);
$jsonTempData['usermodify']= utf8_encode($r1['usermodify']);
$jsonTempData['UserOption']= utf8_encode($r1['UserOption']);
$jsonTempData['SyncProcesing']= utf8_encode($r1['SyncProcesing']);
$jsonTempData['u_id']= utf8_encode($r1['u_id']);
$jsonTempData['u_descripcion']= utf8_encode($r1['u_descripcion']);
$jsonTempData['u_usuario']= utf8_encode($r1['u_usuario']);
$jsonTempData['u_clave']= utf8_encode($r1['u_clave']);
$jsonTempData['u_acceso1']= utf8_encode($r1['u_acceso1']);
$jsonTempData['u_activo']= utf8_encode($r1['u_activo']);
$jsonTempData['u_modreportes']= utf8_encode($r1['u_modreportes']);
$jsonTempData['u_costos']= utf8_encode($r1['u_costos']);
$jsonTempData['u_empresas']= utf8_encode($r1['u_empresas']);
$jsonTempData['u_cambiofecha']= utf8_encode($r1['u_cambiofecha']);
$jsonTempData['u_cambiaempresa']= utf8_encode($r1['u_cambiaempresa']);
$jsonTempData['u_anulaoperacion']= utf8_encode($r1['u_anulaoperacion']);
$jsonTempData['u_ruta_reportes']= utf8_encode($r1['u_ruta_reportes']);
$jsonTempData['activo']= utf8_encode($r1['activo']);
$jsonTempData['u_auditoria']= utf8_encode($r1['u_auditoria']);
$jsonTempData['u_conf']= utf8_encode($r1['u_conf']);
$jsonTempData['u_vmen']= utf8_encode($r1['u_vmen']);
$jsonTempData['u_codsup']= utf8_encode($r1['u_codsup']);
$jsonTempData['u_fing']= utf8_encode($r1['u_fing']);
$jsonTempData['up_activa']= utf8_encode($r1['up_activa']);
$jsonTempData['up_id']= utf8_encode($r1['up_id']);
$jsonTempData['um_id']= utf8_encode($r1['um_id']);
$jsonTempData['um_ventana']= utf8_encode($r1['um_ventana']);
$jsonTempData['acc_unico']= utf8_encode($r1['acc_unico']);
$jsonTempData['desc_max']= utf8_encode($r1['desc_max']);

          $jsonData[] = $jsonTempData;

$i=$i+1;
}

 $json->registros     = $i;


$json->personal = $jsonData;





 $montoesql1a="select '".$_SESSION['id_pack']."' as id_pack,  usuarios_men.u_id,usuarios_men.m_id,usuarios_men.state_index,concat(u_id,'0',m_id,'0',state_index) as m_id_unico from  ".$_SESSION['database'].".usuarios_men

				 left outer join  ".$_SESSION['database'].".personal on usuarios_men.u_id=personal.pers_user_id

                   where  personal.pers_id in (select pers_id from ".$_SESSION['database']."_tmp_pack.personal_pack where id_pack='".$_SESSION['id_pack']."' group by id_pack) ";

//echo $montoesql1a ;
  $qur1a = $connection->query($montoesql1a);
  
  $i=0;
   $jsonTempDataa = array();
while($r1 = mysqli_fetch_assoc($qur1a)){

logs("entro".$r1['u_id']);

 $jsonTempDataa = array();
 $jsonTempDataa['u_id']         = utf8_encode($r1['u_id']);
 $jsonTempDataa['m_id']         = utf8_encode($r1['m_id']);
 $jsonTempDataa['state_index']         = utf8_encode($r1['state_index']);
 $jsonTempDataa['m_id_unico']         = utf8_encode($r1['m_id_unico']);
 $jsonTempDataa['id_pack']         = utf8_encode($r1['id_pack']);
 
 
 
 $jsonDataa[] = $jsonTempDataa;

$i=$i+1;
}

if ($i==0){
	 $jsonTempDataa = array();
 $jsonTempDataa['u_id']         = 0;
 $jsonTempDataa['m_id']         = 0;
 $jsonTempDataa['state_index']        = 0;
 $jsonTempDataa['m_id_unico']        = 0;
 $jsonTempDataa['id_pack']       = 0;
 
 $jsonDataa[] = $jsonTempDataa;

}
$json->personalm = $jsonDataa;




$hoynow = getdate();


   $timeStamp= $hoynow["year"]."-".$hoynow["mon"]."-".$hoynow["mday"]." ".$hoynow["hours"] .":".$hoynow["minutes"].":".$hoynow["seconds"] ;

   $timeStamp2= $hoynow["year"]."-".$hoynow["mon"]."-01 00:00:01";
//echo $timeStamp;


$SQLflags="select idflagper from ".$_SESSION['database'].".flag  limit 1";
			     
	//	logs($SQLflags);	     
		$qur = $connection->query($SQLflags);

$_SESSION['flags']="9";
while($r = mysqli_fetch_assoc($qur)){

$_SESSION['flags']= $r['idflagper'];

//logs("Esta es la banderaaaaaaaaaaaaaaaaaaaaaaa ".$_SESSION['flags']);

}	  

if($_SESSION['flags']=="0") 

  {		
  	
  	
  		  $SQLupdate44= "UPDATE ".$_SESSION['database'].".flag SET idflagper=1 ";
		
		if ($connection->query($SQLupdate44) === TRUE) {	 
		
		logs("Cambio la Bandera a 1 ".$_SESSION['est_id']);

	
	}else {
    echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;
}
  	
 
  	
  	
  	

 
  	
  	
   $montoesql3="select  ".$_SESSION['database'].".personal.pers_id as pers_id from ".$_SESSION['database'].".personal where usermodify=1  limit 1";

//echo  $montoesql;
//logs($montoesql);


$qur = $connection->query($montoesql3);

$_SESSION['pers_id'] ="NO";

while($r = mysqli_fetch_assoc($qur)){

$_SESSION['pers_id'] = $r['pers_id'];
}


 	}
  
		   
if($_SESSION['pers_id']!="NO" ) {
	
	
 $SQLupdate12="UPDATE   ".$_SESSION['database'].".personal SET syncprocesing=1 WHERE  usermodify=1 limit 1";

//echo $SQLupdate;

logs("uuuuuuuuuuuuuuuuuuuuuuuuuuu".$SQLupdate12);

if ($connection->query($SQLupdate12) === TRUE) {
     //  echo "update op";
} else {
    echo "Error: " . $SQLupdate12 . "<br>" . $conn->error;
}	
	

 $SQLupdate="UPDATE   ".$_SESSION['database'].".usuarios_acc set acc_unico=concat(u_id,'-0',up_id,'0')  limit 1000";

//echo $SQLupdate;

logs("uuuuuuuuuuuuuuuuuuuuuuuuuuu".$SQLupdate);

if ($connection->query($SQLupdate) === TRUE) {
     //  echo "update op";
} else {
    echo "Error: " . $SQLupdate . "<br>" . $conn->error;
}


if ($_SESSION['est_id']=="0"){

 $getData =   "select suc_corre_eper+1 as corre_e,suc_id FROM ".$_SESSION['database'].".sucursales  where   suc_id=1";
 }else {
 
 
 $getData =   "select e_corre_eper+1 as corre_e,e_id FROM ".$_SESSION['database'].".estaciones  where   e_id=1";
 }
 
  
  

//logs("ccccccccccccccccccccccccccccccc".$getData);

//$getData = "select * from user";
$qur = $connection->query($getData);

$_SESSION['corre']=0;

while($r = mysqli_fetch_assoc($qur)){

$_SESSION['corre']= $r['corre_e'];
}


if ($_SESSION['corre']>0){
	
	

  
         $SQLupdate2="  insert into  ".$_SESSION['database']."_tmp_pack.personal_pack  (id_pack,pers_id) select   ".$_SESSION['corre']."  as id,
			     personal.pers_id
				

				  from
				 ".$_SESSION['database'].".personal
				

				where personal.syncprocesing=1 ";
		
		 
//echo "paso".    $SQLupdate2;
logs($SQLupdate2);

if ($connection->query($SQLupdate2) === TRUE) {
	
	
	            
     
$SQLupdate3="select id_pack from ".$_SESSION['database']."_tmp_pack.personal_pack where  id_pack=".$_SESSION['corre']." limit 1";
		
		
//echo "paso"	.$SQLupdate3;		    

	//	logs('xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'.$SQLupdate3);	     
		$qur = $connection->query($SQLupdate3);

$empaco="NO";
while($r = mysqli_fetch_assoc($qur)){

$empaco= $r['id_pack'];

logs("si consiguio un registro  ".$empaco);


}	     
}	


if      ($_SESSION['corre']==$empaco){

 $SQLupdate4= "UPDATE ".$_SESSION['database'].".personal SET syncprocesing=0,usermodify=0 WHERE   syncprocesing=1 ";
		
		if ($connection->query($SQLupdate4) === TRUE) {
			
			
			 $sqlmax =   "select max(id_pack) as id_pack from ".$_SESSION['database']."_tmp_pack.personal_pack limit 1";

$qur12 = $connection->query($sqlmax);

$_SESSION['empaco']=0;

while($r = mysqli_fetch_assoc($qur12)){

$_SESSION['empaco']= $r['id_pack'];
}
			
			
			
			if ($_SESSION['est_id']=="0"){
	 $connection->query("update ".$_SESSION['database'].".sucursales set suc_corre_eper=".$_SESSION['empaco']);
		 }else {
	//	  $connection->query("update ".$_SESSION['database'].".estaciones set e_corre_e=e_corre_e+1  ");
	
	
	 $connection->query("update ".$_SESSION['database'].".estaciones set e_corre_eper=".$empaco);
	 
	 logs("xxxxxxxxxxxxxxxxxxxxxxxxxxxxx update ".$_SESSION['database'].".estaciones set e_corre_eper=".$_SESSION['empaco']);
	 
		}

			
				};


}

$SQLupdate44= "UPDATE ".$_SESSION['database'].".flag SET idflagper=0 ";
		
		if ($connection->query($SQLupdate44) === TRUE) {	 
		
		logs("Cambio la Bandera a 0 ".$_SESSION['est_id']);

	
	}else {
    echo "Error: " . $SQLupdate44 . "<br>" . $conn->error;}


/*   
	
	if      ($_SESSION['corre']==$empaco){
	
	logs("   empaco".$empaco." corre  ".$_SESSION['corre']);


	
	  $SQLupdate4= "UPDATE ".$_SESSION['database'].".personal SET syncprocesing=0,usermodify=0 WHERE   syncprocesing=1 ";
		
		if ($connection->query($SQLupdate4) === TRUE) {	
		
		//$empaco=$empaco+1; 
		
		if ($_SESSION['est_id']=="0"){
	 $connection->query("update ".$_SESSION['database'].".sucursales set suc_corre_eper=".$empaco);
		 }else {
	//	  $connection->query("update ".$_SESSION['database'].".estaciones set e_corre_e=e_corre_e+1  ");
	
	
	 $connection->query("update ".$_SESSION['database'].".estaciones set e_corre_eper=".$empaco);
	 
	 logs("xxxxxxxxxxxxxxxxxxxxxxxxxxxxx update ".$_SESSION['database'].".estaciones set e_corre_eper=".$empaco);
	 
		}
		
		aqui
	//	 echo "Empacado correctamente: ".$_SESSION['corre'];
	
	}else {
    echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;
}
			     
			     
     
} else {
    echo "Errorde empaque: " . $_SESSION['corre']." ".$empaco . "<br>" ;
}


}


}else {
	
	//echo "error en busca de corre";

}




}

  $SQLupdate44= "UPDATE ".$_SESSION['database'].".flag SET idflagper=0 ";
		
		if ($connection->query($SQLupdate44) === TRUE) {	 
		
		logs("Cambio la Bandera a 0 ".$_SESSION['est_id']);

	
	}else {
    echo "Error: " . $SQLupdate4 . "<br>" . $conn->error;
     	*/
}
 

}else {
	
logs("Esta ocupado por la estacionnnnnnnn ".$_SESSION['est_id']." Bandera ". $_SESSION['flags']);

}




@mysqli_close($conn);

header('content-type: application/json');
 print_r( json_encode($json));
//echo json_encode($json);
 //header('content-type: application/text_plain');
 //header('content-type: application/json');

//empacando($_SESSION['database']);



?>
